# ISmartVariableEvaluator

Interface in [Yarn](/api/csharp/yarn.md)

## Summary

Contains methods for evaluating the value of smart variables

```csharp
public interface ISmartVariableEvaluator
```

## Methods

| Name                                                                                                                               | Description                                           |
| ---------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- |
| [TryGetSmartVariable(string,T)](/api/csharp/yarn/yarn.ismartvariableevaluator/yarn.ismartvariableevaluator.trygetsmartvariable.md) | Evaluate the value of a smart variable named `name` . |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.ismartvariableevaluator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
